Back to Netrunner | Back to Blue Systems

Not installable software

In connection to my last posting, seems to be the same problem, additional software can´t be installed.


VLC-nicht install

Can you try refreshing the repository. (Press “Neu Laden”)

I did so, loo


k at the result.

Perhaps it might be helpful to have my repos in sight!

Please disable the buster-updates security repo and run in konsole

sudo apt update
It will ask you to explictely say yes to the change of codename “stable” to “oldstable”. Please do so.

1 Like

Thank you leszek!
First I didn´t trust this information, but it works perfect and changes a lot at the system.
Updates and new installations work perfect! :+1:

Great that it works for you. Its a bit unfortunate and we did not had that on our radar as Debian was handling that in the past a bit more user friendly. Its a bit unfortunate that the dialog to ask for agreeing to the change is only available via terminal and not graphically. That would make things a lot easier

I`m having the same problem again today, trying an update.

sudo apt update
[sudo] Passwort für armin:
OK:1 Index of /debian buster-updates InRelease
OK:2 Index of /debian buster InRelease
OK:4 Index of /debian buster-backports InRelease
Holen:5 Index of /repos/neptune5/repo/ buster InRelease [7.411 B]
Holen:6 Index of /repos/neptune5/repo-kde/ buster InRelease [3.975 B]
OK:3 http://ds9-eu.s3-website.eu-central-1.amazonaws.com/dci/packages/netrunner netrunner-core-2001 InRelease
Fehl:5 Index of /repos/neptune5/repo/ buster InRelease
Die folgenden Signaturen konnten nicht überprüft werden, weil ihr öffentlicher Schlüssel nicht verfügbar ist: NO_PUBKEY D2DAB11CF55D7983
Fehl:6 Index of /repos/neptune5/repo-kde/ buster InRelease
Die folgenden Signaturen konnten nicht überprüft werden, weil ihr öffentlicher Schlüssel nicht verfügbar ist: NO_PUBKEY D2DAB11CF55D7983
Paketlisten werden gelesen… Fertig
W: Das Laden der konfigurierten Datei »backports/binary-amd64/Packages« wird übersprungen, da das Depot »Index of /debian buster InRelease« die Komponente »backports« nicht enthält. (Schreibfehler bei der Angabe der Komponente in sources.list?)
W: Das Laden der konfigurierten Datei »backports/i18n/Translation-de_DE« wird übersprungen, da das Depot »Index of /debian buster InRelease« die Komponente »backports« nicht enthält. (Schreibfehler bei der Angabe der Komponente in sources.list?)
W: Das Laden der konfigurierten Datei »backports/i18n/Translation-de« wird übersprungen, da das Depot »Index of /debian buster InRelease« die Komponente »backports« nicht enthält. (Schreibfehler bei der Angabe der Komponente in sources.list?)
W: Das Laden der konfigurierten Datei »backports/i18n/Translation-en« wird übersprungen, da das Depot »Index of /debian buster InRelease« die Komponente »backports« nicht enthält. (Schreibfehler bei der Angabe der Komponente in sources.list?)
W: Das Laden der konfigurierten Datei »backports/Contents-amd64« wird übersprungen, da das Depot »Index of /debian buster InRelease« die Komponente »backports« nicht enthält. (Schreibfehler bei der Angabe der Komponente in sources.list?)
W: GPG-Fehler: Index of /repos/neptune5/repo/ buster InRelease: Die folgenden Signaturen konnten nicht überprüft werden, weil ihr öffentlicher Schlüssel nicht verfügbar ist: NO_PUBKEY D2DAB11CF55D7983
E: Das Depot »Index of /repos/neptune5/repo/ buster InRelease« ist nicht signiert.
N: Eine Aktualisierung von solch einem Depot kann nicht auf eine sichere Art durchgeführt werden, daher ist es standardmäßig deaktiviert.
N: Weitere Details zur Erzeugung von Paketdepots sowie zu deren Benutzerkonfiguration finden Sie in der Handbuchseite apt-secure(8).
W: GPG-Fehler: Index of /repos/neptune5/repo-kde/ buster InRelease: Die folgenden Signaturen konnten nicht überprüft werden, weil ihr öffentlicher Schlüssel nicht verfügbar ist: NO_PUBKEY D2DAB11CF55D7983
E: Das Depot »Index of /repos/neptune5/repo-kde/ buster InRelease« ist nicht signiert.
N: Eine Aktualisierung von solch einem Depot kann nicht auf eine sichere Art durchgeführt werden, daher ist es standardmäßig deaktiviert.
N: Weitere Details zur Erzeugung von Paketdepots sowie zu deren Benutzerkonfiguration finden Sie in der Handbuchseite apt-secure(8).

This is a different issue. You added a third party repository and the signing key is missing for that repo. So either remove the neptune repo or install the necessary key for that repo.

well, it’s somehow funny!
In my main work-station with netrunner, I’m working with these repos. And it’s doing fine already for some time.
Deactivating the neptune-repos doesn’t lead to a positive result.
And I can’t remember that I ever had to insert any signing key at all. I even don’t know where to get it from .
So here I am and this system isn’t still working correctly to be handed out to my friend.
Still my -not yet answered - question is: What are the standard repos for netrunner.

The default repositories you can find here: live-build/customization/archives at Netrunner/21.01 · netrunner-desktop/live-build · GitHub

As for the error that should’ve solved it. There is a warning about buster-backports that does not exists anymore I think. You can deactivate that aswell to get rid of the warning.
And yes for apt repositories usually you have to add signature keys that are used to sign packages so you know you are not getting false packages or manipulated ones.

I’ve solved the problem with trial and error, activating and deactivating repos until there was no more error. I will see whether the system will work for a longer time with only three repos.
Thank you leszek.